<div th:replace="shared/header"></div>

<h1 th:text="${pageTitle}"></h1>
<div class="box">
    <div class="box-header with-border">
        <a th:href="@{'/'+${pathUri}+'/create'}" class="btn btn-primary"><span class="glyphicon glyphicon-plus"></span></a>
    </div>
    
    <table class="table">
        <thead class="thead-dark">
            <tr>
                <th>ID</th>
                <th>Item Name</th>
                <th>Size</th>
                <th>Quantity</th>
                <th>Price</th>
                <th>Supplier</th>
                <th>Purchase Date</th>
                <th>Availability</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody>
            <tr th:each="record:${records}">
                <td th:text="${record.id}"></td>
                <td th:text="${record.item_name}"></td>
                <td th:text="${record.size}"></td>
                <td th:text="${record.quantity}"></td>
                <td th:text="${record.price}"></td>
                <td th:text="${record.supplier_id.name}"></td>
                <td th:text="${record.purchase_date}"></td>
                <td>
                    <label th:if="${record.status}" class="label label-success">Available</label>
                    <label th:unless="${record.status}" class="label label-danger">Not Available</label>
                </td>
                <td>
                    <a th:href="@{'/'+${pathUri}+'/edit/'+${record.id}}" class="btn btn-warning"><span class="glyphicon glyphicon-pencil"></span></a>
                    <a th:href="@{'/'+${pathUri}+'/delete/'+${record.id}}" class="btn btn-danger"><span class="glyphicon glyphicon-remove"></span></a>
                </td>
            </tr>
        </tbody>
    </table>
</div>
</div>
<div th:replace="shared/footer"></div>
